ServerEvents.recipes(e=> {
  //红金锭
  let l = 3;
  let t = 'create_new_age:overcharged_gold'

  e.recipes.createSequencedAssembly([
    Item.of(6 + 'x nwtc:red_aurum_ingot').withChance(82.0),
    Item.of(l + 'x ' + t).withChance(3.0),
    Item.of(l + 'x minecraft:gold_ingot').withChance(1.0),
  ], t, [
    e.recipes.createFilling(t, [t, Fluid.of("nwtc:advanced_alga_essences", 100)]),
    e.recipes.createPressing(t, t).processingTime(30),
    e.recipes.createFilling(t, [t, Fluid.of("immersiveengineering:redstone_acid", 100)]),
    e.recipes.createCutting(t, t).processingTime(50)
  ]).transitionalItem(t).loops(5)
  //精炼植物精华锭  

  let z = '#forge:ingots/lead'
  let naaei = 'nwtc:advanced_alga_essences_ingot'
  let ingot_lead = 'immersiveengineering:ingot_lead'

  e.recipes.createSequencedAssembly([
    Item.of(naaei).withChance(82.0),
    Item.of(z).withChance(3.0),
    Item.of('minecraft:redstone').withChance(1.0),
  ], z, [
    e.recipes.createFilling(ingot_lead, [ingot_lead, Fluid.of("nwtc:advanced_alga_essences", 100)]),
    e.recipes.createPressing(ingot_lead, ingot_lead).processingTime(30),
    e.recipes.createFilling(ingot_lead, [ingot_lead, Fluid.of("minecraft:water", 100)]),
    e.recipes.createCutting(ingot_lead, ingot_lead).processingTime(50)
  ]).transitionalItem(ingot_lead).loops(l)

  //棉花糖  
  e.remove({ output: 'pamhc2foodcore:cottoncandyitem'})
  let sugar = 'minecraft:sugar'
  let cottoncandy ='pamhc2foodcore:cottoncandyitem'
  e.recipes.createSequencedAssembly([
    Item.of(cottoncandy).withChance(82.0),
    Item.of(sugar).withChance(35.0),
  ], sugar, [
    e.recipes.createFilling(sugar, [sugar, Fluid.of("minecraft:water", 500)]),
    e.recipes.createPressing(sugar, sugar).processingTime(30),
    e.recipes.createFilling(sugar, [sugar, Fluid.of("thermal:syrup", 100)]),
    e.recipes.createFilling(sugar, [sugar, Fluid.of("thermal:syrup", 100)]),
    e.recipes.createPressing(sugar, sugar).processingTime(30)
  ]).transitionalItem(sugar).loops(5)

  //腐肉
  let meat = '#forge:rawmeats'
  let charred_meat = '2x nwtc:charred_meat'

  e.recipes.createSequencedAssembly([
    Item.of(charred_meat).withChance(82.0),
    Item.of(meat).withChance(3.0),
  ], meat, [
    e.recipes.createFilling(meat, [meat, Fluid.of("industrialforegoing:sewage", 100)]),
    e.recipes.createPressing(meat, meat).processingTime(30),
    e.recipes.createFilling(meat, [meat, Fluid.of("industrialforegoing:sludge", 100)]),
    e.recipes.createCutting(meat, meat).processingTime(50),
    e.recipes.createFilling(meat, [meat, Fluid.of("industrialforegoing:meat", 100)]),
  ]).transitionalItem(meat).loops(l)

  //蛋糕胚子

  let cake_mould = '6x nwtc:cake_mould'
  let cake_base = 'enderio:cake_base'
  e.recipes.createSequencedAssembly([
    Item.of(cake_mould).withChance(82.0),
    Item.of(cake_mould).withChance(3.0),
  ], cake_base, [
    e.recipes.createFilling(cake_base, [cake_base, Fluid.of("create:honey", 10)]),
    e.recipes.createDeploying(cake_base, [cake_base, 'farmersdelight:pie_crust']),
    e.recipes.createPressing(cake_base, cake_base).processingTime(50),
  ]).transitionalItem(cake_base).loops(l)

  //天空蛋糕 
  let sky_cake = 'nwtc:sky_cake' 
  e.recipes.createSequencedAssembly([
    Item.of((2 + 'x ' + sky_cake)).withChance(82.0),
    Item.of(cake_mould).withChance(13.0),
  ], cake_mould, [
    e.recipes.createDeploying(cake_mould, [cake_mould, 'pamhc2foodextended:blueberryjellyitem']),
    e.recipes.createDeploying(cake_mould, [cake_mould, 'pamhc2foodextended:chocolatemilkitem']),
    e.recipes.createDeploying(cake_mould, [cake_mould, '#forge:cream/cream']),
    e.recipes.createPressing(cake_mould, cake_mould).processingTime(50),
    e.recipes.createCutting(cake_mould, cake_mould).processingTime(50),
  ]).transitionalItem(cake_mould).loops(l)

  //耐酸铝 
  let alumite = 'nwtc:alumite_ingot' 
  let aluminum = '#forge:ingots/aluminum'

  e.recipes.createSequencedAssembly([
    Item.of((l + 'x ' + alumite)).withChance(82.0),
    Item.of(aluminum).withChance(3.0),
    Item.of('minecraft:redstone').withChance(1.0),
  ], aluminum, [
    e.recipes.createFilling(aluminum, [aluminum, Fluid.of("industrialforegoing:pink_slime", 100)]),
    e.recipes.createPressing(aluminum, aluminum).processingTime(30),
    e.recipes.createFilling(aluminum, [aluminum, Fluid.of("industrialforegoing:pink_slime", 100)]),
    e.recipes.createCutting(aluminum, aluminum).processingTime(50),
    e.recipes.createFilling(aluminum, [aluminum, Fluid.of("industrialforegoing:pink_slime", 100)])
  ]).transitionalItem(aluminum).loops(l)
  //易彩化合物 
  e.custom(
    {
        "type": "create:sequenced_assembly",
        "ingredient": {
          "item": "createteleporters:redstone_pearl"
        },
        "loops": 6,
        "results": [
            {
              "chance": 80.0,
              "item": "create:chromatic_compound"
            },
            {
              "chance": 13.0,
              "item": "createteleporters:redstone_pearl"
            },
            {
                "chance": 2.0,
                "item": "minecraft:redstone"
            },
            {
              "chance": 3.0,
              "item": "create:andesite_alloy"
            }
           
        ],
        "sequence": [
          {
            "type": "create:filling",
            "ingredients": [
              {
                "item": "createteleporters:redstone_pearl"
              },
              {
                "amount": 100,
                "fluid": "createteleporters:quantum_fluid", 
                "nbt": {}
              }
            ],
            "results": [
              {
                "item": "createteleporters:redstone_pearl"
              }
            ]
          },
          {
            "type": "create:pressing",
            "ingredients": [
              {
                "item": "createteleporters:redstone_pearl"
              }
            ],
            "results": [
              {
                "item": "createteleporters:redstone_pearl"
              }
            ]
          },
          {
            "type": "create:deploying",
            "ingredients": [
              {
                "item": "createteleporters:redstone_pearl"
              },
              {
                "item": "nwtc:advanced_alga_essences_ingot"
              }
            ],
            "results": [
              {
                "item": "createteleporters:redstone_pearl"
              }
            ]
          },
          {
            "type": "create_new_age:energising",
            "ingredients": [
              {
                "item": "createteleporters:redstone_pearl"
              }
            ],
            "energy_needed": 9000,
            "results": [
              {
                "item": "createteleporters:redstone_pearl"
              }
            ]
          },
          {
            "type": "create:filling",
            "ingredients": [
              {
                "item": "createteleporters:redstone_pearl"
              },
              {
                "amount": 500,
                "fluid": "minecraft:water", 
                "nbt": {}
              }
            ],
            "results": [
              {
                "item": "createteleporters:redstone_pearl"
              }
            ]
          },

        ],
        "transitionalItem": {
          "item": "createteleporters:redstone_pearl"
        }
      }
)







})
